#
# Copyright (c) 2026, Chloe M.
# Provided under the BSD-3 clause
#
# Description:  User run-time machdep build script
# Author:       Chloe M.
#

ASMFILES = $(shell find . -name "*.S")
ASMOFILES = $(ASMFILES:.S=.S.o)

CFLAGS = $(SYS_CFLAGS)

.PHONY: all
all: $(ASMOFILES)

%.S.o: %.S
	$(SYS_CC) -c $< $(CFLAGS) -o $@
